# osg::DrawArrays Class Reference

Inheritance diagram for osg::DrawArrays:

[legend]
List of all members.

## Public Member Functions

| DrawArrays (GLenum mode=0)
| DrawArrays (GLenum mode, GLint first, GLsizei count)
| DrawArrays (const DrawArrays &da, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
void | set (GLenum mode, GLint first, GLsizei count)
void | setFirst (GLint first)
GLint | getFirst () const
void | setCount (GLsizei count)
GLsizei | getCount () const
virtual void | draw (State &state, bool useVertexBufferObjects) const
virtual void | accept (Drawable::PrimitiveFunctor &functor) const
virtual void | accept (Drawable::PrimitiveIndexFunctor &functor) const
virtual unsigned int | getNumIndices () const
virtual unsigned int | index (unsigned int pos) const
virtual void | offsetIndices (int offset)

## Protected Member Functions

virtual | ~DrawArrays ()

## Protected Attributes

GLint | _first
GLsizei | _count

## Constructor & Destructor Documentation

osg::DrawArrays::DrawArrays | ( | GLenum | mode = `0` | ) | `[inline]`

osg::DrawArrays::DrawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count
| ) | `[inline]`

osg::DrawArrays::DrawArrays | ( | const DrawArrays & | da,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osg::DrawArrays::~DrawArrays | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void DrawArrays::accept | ( | Drawable::PrimitiveIndexFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

void DrawArrays::accept | ( | Drawable::PrimitiveFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const char* osg::DrawArrays::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::PrimitiveSet.

virtual Object* osg::DrawArrays::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::DrawArrays::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

void DrawArrays::draw | ( | State & | state,
|  | bool | useVertexBufferObjects
| ) | const`[virtual]`

| Implements osg::PrimitiveSet.

GLsizei osg::DrawArrays::getCount | ( |  | ) | const`[inline]`

GLint osg::DrawArrays::getFirst | ( |  | ) | const`[inline]`

virtual unsigned int osg::DrawArrays::getNumIndices | ( |  | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawArrays::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawArrays::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual const char* osg::DrawArrays::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::PrimitiveSet.

virtual void osg::DrawArrays::offsetIndices | ( | int | offset | ) | `[inline, virtual]`

| Implements osg::PrimitiveSet.

void osg::DrawArrays::set | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count
| ) | `[inline]`

void osg::DrawArrays::setCount | ( | GLsizei | count | ) | `[inline]`

void osg::DrawArrays::setFirst | ( | GLint | first | ) | `[inline]`

## Member Data Documentation

GLsizei osg::DrawArrays::_count `[protected]`

GLint osg::DrawArrays::_first `[protected]`

The documentation for this class was generated from the following files:

- PrimitiveSet
- PrimitiveSet.cpp